"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.contractorsRouter = void 0;
const express_1 = require("express");
const ad_record_1 = require("../records/ad.record");
exports.contractorsRouter = (0, express_1.Router)()
    .get('/one/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const oneContractor = yield ad_record_1.AdRecord.getOne(req.params.id);
    res.json(oneContractor);
}))
    .get('/allProduct/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const allProducts = yield ad_record_1.AdRecord.getAllProduct(req.params.id);
    res.json(allProducts);
}))
    .get('/all', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const allContractor = yield ad_record_1.AdRecord.getAll();
    res.json(allContractor);
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const ad = new ad_record_1.AdRecord(req.body);
    yield ad.insert();
    res.json(ad);
}))
    .post('/product', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const ad = new ad_record_1.AdRecord(req.body);
    yield ad.insertProduct();
    res.json(ad);
}))
    .delete('/one/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const deleteOneContractor = yield ad_record_1.AdRecord.delete(req.params.id);
    res.json(deleteOneContractor);
}))
    .delete('/product/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const deleteOneContractor = yield ad_record_1.AdRecord.deleteProduct(req.params.id);
    res.json(deleteOneContractor);
}))
    .put('/one/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const put = new ad_record_1.AdRecord(req.body);
    yield put.update();
    res.json(put);
}))
    .put('/product/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const put = new ad_record_1.AdRecord(req.body);
    yield put.updateProduct();
    res.json(put);
}));
//# sourceMappingURL=contractors.router.js.map